## r-cran-datawizard 0.2.3

=== DESCRIPTION ===
Type: Package
Package: datawizard
Title: Easy Data Wrangling
Version: 0.2.3
Authors@R: c(
    person("Dominique", "Makowski", , "dom.makowski@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0001-5375-9967", Twitter = "@Dom_Makowski")),
    person("Daniel", "Lüdecke", , "d.luedecke@uke.de", role = "aut",
           comment = c(ORCID = "0000-0002-8895-3206", Twitter = "@strengejacke")),
    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets")),
    person("Mattan S.", "Ben-Shachar", , "matanshm@post.bgu.ac.il", role = "aut",
           comment = c(ORCID = "0000-0002-4287-4801")),
    person("Brenton M.", "Wiernik", , "brenton@wiernik.org", role = "aut",
           comment = c(ORCID = "0000-0001-9560-6336", Twitter = "@bmwiernik"))
  )
Maintainer: Indrajeet Patil <patilindrajeet.science@gmail.com>
Description: A lightweight package to easily manipulate, clean, transform,
    and prepare your data for analysis. It also forms the data wrangling
    backend for the packages in the 'easystats' ecosystem.
License: GPL-3
URL: https://easystats.github.io/datawizard/
BugReports: https://github.com/easystats/datawizard/issues
Depends: R (>= 3.4)
Imports: insight (>= 0.14.4), stats, utils
Suggests: bayestestR, boot, dplyr, effectsize, gamm4, ggplot2, knitr,
        lfe, lme4, MASS, modelbased, parameters, performance, poorman,
        psych, rmarkdown, rstanarm, see, spelling, testthat (>= 3.0.0),
        tidyr
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-01-26 15:24:20 UTC; IndrajeetPatil
Author: Dominique Makowski [aut] (<https://orcid.org/0000-0001-5375-9967>,
    @Dom_Makowski),
  Daniel Lüdecke [aut] (<https://orcid.org/0000-0002-8895-3206>,
    @strengejacke),
  Indrajeet Patil [aut, cre] (<https://orcid.org/0000-0003-1995-6531>,
    @patilindrajeets),
  Mattan S. Ben-Shachar [aut] (<https://orcid.org/0000-0002-4287-4801>),
  Brenton M. Wiernik [aut] (<https://orcid.org/0000-0001-9560-6336>,
    @bmwiernik)
Repository: CRAN
Date/Publication: 2022-01-26 16:12:44 UTC

=== debian/changelog ===
r-cran-datawizard (0.2.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 30 Jan 2022 18:02:51 +0100

r-cran-datawizard (0.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 10 Jan 2022 14:01:31 +0100

r-cran-datawizard (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 19:42:56 +0200

r-cran-datawizard (0.2.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 12:41:49 +0200

r-cran-datawizard (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #992565)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 12:20:47 +0200

=== debian/control ===
Source: r-cran-datawizard
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-insight (>= 0.14.4)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-datawizard
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-datawizard.git
Homepage: https://cran.r-project.org/package=datawizard
Rules-Requires-Root: no

Package: r-cran-datawizard
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R easy data wrangling
 A lightweight GNU R package to easily manipulate, clean,
 transform, and prepare your data for analysis. It also forms
 the data wrangling backend for the packages in the 'easystats'
 ecosystem.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-ggplot2,
         r-cran-bayestestr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/datawizard_([-\d.]*)\.tar\.gz

## r-cran-datawizard 0.5.1+dfsg

=== DESCRIPTION ===
Type: Package
Package: datawizard
Title: Easy Data Wrangling and Statistical Transformations
Version: 0.5.1
Authors@R: c(
    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets")),
    person("Dominique", "Makowski", , "dom.makowski@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0001-5375-9967", Twitter = "@Dom_Makowski")),
    person("Daniel", "Lüdecke", , "d.luedecke@uke.de", role = "aut",
           comment = c(ORCID = "0000-0002-8895-3206", Twitter = "@strengejacke")),
    person("Mattan S.", "Ben-Shachar", , "matanshm@post.bgu.ac.il", role = "aut",
           comment = c(ORCID = "0000-0002-4287-4801")),
    person("Brenton M.", "Wiernik", , "brenton@wiernik.org", role = "aut",
           comment = c(ORCID = "0000-0001-9560-6336", Twitter = "@bmwiernik")),
    person("Etienne", "Bacher", , "etienne.bacher@protonmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-9271-5075")),
    person("Rémi", "Thériault", , "remi.theriault@mail.mcgill.ca", role = "ctb",
           comment = c(ORCID = "0000-0003-4315-6788", Twitter = "@rempsyc"))
  )
Maintainer: Indrajeet Patil <patilindrajeet.science@gmail.com>
Description: A lightweight package to easily manipulate, clean, transform,
    and prepare your data for analysis. It also forms the data wrangling
    backend for the packages in the 'easystats' ecosystem.
License: GPL (>= 3)
URL: https://easystats.github.io/datawizard/
BugReports: https://github.com/easystats/datawizard/issues
Depends: R (>= 3.5)
Imports: insight (>= 0.18.2), stats, utils
Suggests: bayestestR, boot, brms, data.table, dplyr, effectsize, gamm4,
        ggplot2, haven, httr, knitr, lme4, mediation, parameters,
        poorman (>= 0.2.6), psych, readxl, readr, rio, rmarkdown,
        rstanarm, see, testthat (>= 3.1.0), tidyr, withr
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-08-17 12:24:43 UTC; indrajeetpatil
Author: Indrajeet Patil [aut, cre] (<https://orcid.org/0000-0003-1995-6531>,
    @patilindrajeets),
  Dominique Makowski [aut] (<https://orcid.org/0000-0001-5375-9967>,
    @Dom_Makowski),
  Daniel Lüdecke [aut] (<https://orcid.org/0000-0002-8895-3206>,
    @strengejacke),
  Mattan S. Ben-Shachar [aut] (<https://orcid.org/0000-0002-4287-4801>),
  Brenton M. Wiernik [aut] (<https://orcid.org/0000-0001-9560-6336>,
    @bmwiernik),
  Etienne Bacher [aut] (<https://orcid.org/0000-0002-9271-5075>),
  Rémi Thériault [ctb] (<https://orcid.org/0000-0003-4315-6788>,
    @rempsyc)
Repository: CRAN
Date/Publication: 2022-08-17 22:50:02 UTC

=== debian/changelog ===
r-cran-datawizard (0.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:20:53 +0200

r-cran-datawizard (0.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS
  * Add Test-Depends from Suggests
  * Exclude tests requiring poorman for the moment

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 11:17:06 +0200

r-cran-datawizard (0.4.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 May 2022 11:33:54 +0200

r-cran-datawizard (0.4.0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Apr 2022 17:35:59 +0200

r-cran-datawizard (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 13:54:17 +0100

=== debian/control ===
Source: r-cran-datawizard
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-datawizard
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-datawizard.git
Homepage: https://cran.r-project.org/package=datawizard
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-insight (>= 0.18.2)
Testsuite: autopkgtest-pkg-r

Package: r-cran-datawizard
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R easy data wrangling
 A lightweight GNU R package to easily manipulate, clean,
 transform, and prepare your data for analysis. It also forms
 the data wrangling backend for the packages in the 'easystats'
 ecosystem.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bayestestr,
         r-cran-boot,
         r-cran-brms,
         r-cran-data.table,
         r-cran-dplyr,
         r-cran-effectsize,
         r-cran-gamm4,
         r-cran-ggplot2,
         r-cran-haven,
         r-cran-httr,
         r-cran-knitr,
         r-cran-lme4,
#         r-cran-mediation,
         r-cran-parameters,
#         r-cran-poorman, # tests removed package in new
         r-cran-psych,
         r-cran-readxl,
         r-cran-readr,
         r-cran-rio,
         r-cran-rmarkdown,
         r-cran-rstanarm,
#         r-cran-see,
         r-cran-testthat,
         r-cran-tidyr,
         r-cran-withr
Restrictions: allow-stderr

## r-cran-datawizard 0.6.5+dfsg

=== DESCRIPTION ===
Type: Package
Package: datawizard
Title: Easy Data Wrangling and Statistical Transformations
Version: 0.6.5
Authors@R: c(
    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets")),
    person("Etienne", "Bacher", , "etienne.bacher@protonmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-9271-5075")),
    person("Dominique", "Makowski", , "dom.makowski@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0001-5375-9967", Twitter = "@Dom_Makowski")),
    person("Daniel", "Lüdecke", , "d.luedecke@uke.de", role = "aut",
           comment = c(ORCID = "0000-0002-8895-3206", Twitter = "@strengejacke")),
    person("Mattan S.", "Ben-Shachar", , "matanshm@post.bgu.ac.il", role = "aut",
           comment = c(ORCID = "0000-0002-4287-4801")),
    person("Brenton M.", "Wiernik", , "brenton@wiernik.org", role = "aut",
           comment = c(ORCID = "0000-0001-9560-6336", Twitter = "@bmwiernik")),
    person("Rémi", "Thériault", , "remi.theriault@mail.mcgill.ca", role = "ctb",
           comment = c(ORCID = "0000-0003-4315-6788", Twitter = "@rempsyc")),
    person("Thomas J.", "Faulkenberry", , "faulkenberry@tarleton.edu", role = "rev"),
    person("Robert", "Garrett", , "rcg4@illinois.edu", role = "rev")
  )
Maintainer: Etienne Bacher <etienne.bacher@protonmail.com>
Description: A lightweight package to assist in key steps involved in any data 
    analysis workflow: (1) wrangling the raw data to get it in the needed form, 
    (2) applying preprocessing steps and statistical transformations, and 
    (3) compute statistical summaries of data properties and distributions. 
    It is also the data wrangling backend for packages in 'easystats' ecosystem.
    References: Patil et al. (2022) <doi:10.21105/joss.04684>.
License: GPL (>= 3)
URL: https://easystats.github.io/datawizard/
BugReports: https://github.com/easystats/datawizard/issues
Depends: R (>= 3.6)
Imports: insight (>= 0.18.8), stats, utils
Suggests: bayestestR, boot, brms, data.table, dplyr (>= 1.0),
        effectsize, gamm4, ggplot2, gt, haven, htmltools, httr, knitr,
        lme4, mediation, parameters, poorman (>= 0.2.6), psych, readxl,
        readr, rio, rmarkdown, rstanarm, see, testthat (>= 3.1.0),
        tidyr, withr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.3
Config/testthat/edition: 3
Config/Needs/website: rstudio/bslib, r-lib/pkgdown,
        easystats/easystatstemplate
NeedsCompilation: no
Packaged: 2022-12-14 12:54:09 UTC; indrajeetpatil
Author: Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>,
    @patilindrajeets),
  Etienne Bacher [aut, cre] (<https://orcid.org/0000-0002-9271-5075>),
  Dominique Makowski [aut] (<https://orcid.org/0000-0001-5375-9967>,
    @Dom_Makowski),
  Daniel Lüdecke [aut] (<https://orcid.org/0000-0002-8895-3206>,
    @strengejacke),
  Mattan S. Ben-Shachar [aut] (<https://orcid.org/0000-0002-4287-4801>),
  Brenton M. Wiernik [aut] (<https://orcid.org/0000-0001-9560-6336>,
    @bmwiernik),
  Rémi Thériault [ctb] (<https://orcid.org/0000-0003-4315-6788>,
    @rempsyc),
  Thomas J. Faulkenberry [rev],
  Robert Garrett [rev]
Repository: CRAN
Date/Publication: 2022-12-14 23:50:02 UTC

=== debian/changelog ===
r-cran-datawizard (0.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 08:33:35 +0100

r-cran-datawizard (0.6.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 23 Nov 2022 11:38:39 +0100

r-cran-datawizard (0.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 25 Oct 2022 09:45:05 +0200

r-cran-datawizard (0.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 08:55:54 +0200

r-cran-datawizard (0.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Sep 2022 16:07:52 +0200

r-cran-datawizard (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 18 Sep 2022 19:11:38 +0200

r-cran-datawizard (0.5.1+dfsg-2) unstable; urgency=medium

  * r-cran-poorman is available now thus do not exclude it from tests

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 17:14:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-datawizard
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-datawizard.git
 Homepage: https://cran.r-project.org/package=datawizard
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 0.18.2)
+               r-cran-insight (>= 0.18.8)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

=== debian/tests/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
          r-cran-lme4,
 #         r-cran-mediation,
          r-cran-parameters,
-#         r-cran-poorman, # tests removed package in new
+         r-cran-poorman,
          r-cran-psych,
          r-cran-readxl,
          r-cran-readr,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/datawizard_([-\d.]*)\.tar\.gz

## r-cran-datawizard 0.8.0+dfsg

=== debian/changelog ===
r-cran-datawizard (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Update Test-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 11:14:06 +0200

r-cran-datawizard (0.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 10 Jun 2023 22:24:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 0.18.8)
+               r-cran-insight (>= 0.19.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

=== debian/tests/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
          r-cran-effectsize,
          r-cran-gamm4,
          r-cran-ggplot2,
+#         r-cran-gt,
          r-cran-haven,
+         r-cran-htmltools,
          r-cran-httr,
          r-cran-knitr,
          r-cran-lme4,
@@ -23,8 +25,7 @@
          r-cran-rstanarm,
 #         r-cran-see,
          r-cran-testthat,
+         r-cran-tibble,
          r-cran-tidyr,
          r-cran-withr
 Restrictions: allow-stderr
-
-

## r-cran-datawizard 0.9.1%2Bdfsg

=== debian/changelog ===
r-cran-datawizard (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 17:39:20 +0100

r-cran-datawizard (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Sep 2023 22:57:47 +0200

## r-cran-datawizard 0.9.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: datawizard
 Title: Easy Data Wrangling and Statistical Transformations
-Version: 0.6.5
+Version: 0.9.1
 Authors@R: c(
     person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = "aut",
            comment = c(ORCID = "0000-0003-1995-6531", Twitter = "@patilindrajeets")),
@@ -27,25 +27,26 @@
     (3) compute statistical summaries of data properties and distributions. 
     It is also the data wrangling backend for packages in 'easystats' ecosystem.
     References: Patil et al. (2022) <doi:10.21105/joss.04684>.
-License: GPL (>= 3)
+License: MIT + file LICENSE
 URL: https://easystats.github.io/datawizard/
 BugReports: https://github.com/easystats/datawizard/issues
 Depends: R (>= 3.6)
-Imports: insight (>= 0.18.8), stats, utils
-Suggests: bayestestR, boot, brms, data.table, dplyr (>= 1.0),
-        effectsize, gamm4, ggplot2, gt, haven, htmltools, httr, knitr,
-        lme4, mediation, parameters, poorman (>= 0.2.6), psych, readxl,
-        readr, rio, rmarkdown, rstanarm, see, testthat (>= 3.1.0),
-        tidyr, withr
+Imports: insight (>= 0.19.7), stats, utils
+Suggests: bayestestR, boot, brms, curl, data.table, dplyr (>= 1.0),
+        effectsize, emmeans, gamm4, ggplot2, gt, haven, htmltools,
+        httr, knitr, lme4, mediation, parameters (>= 0.20.3), poorman
+        (>= 0.2.6), psych, readxl, readr, rio, rmarkdown, rstanarm,
+        see, testthat (>= 3.2.0), tibble, tidyr, withr
 VignetteBuilder: knitr
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.2.3
+RoxygenNote: 7.2.3.9000
 Config/testthat/edition: 3
+Config/testthat/parallel: true
 Config/Needs/website: rstudio/bslib, r-lib/pkgdown,
         easystats/easystatstemplate
 NeedsCompilation: no
-Packaged: 2022-12-14 12:54:09 UTC; indrajeetpatil
+Packaged: 2023-12-21 16:16:13 UTC; etienne
 Author: Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>,
     @patilindrajeets),
   Etienne Bacher [aut, cre] (<https://orcid.org/0000-0002-9271-5075>),
@@ -61,4 +62,4 @@
   Thomas J. Faulkenberry [rev],
   Robert Garrett [rev]
 Repository: CRAN
-Date/Publication: 2022-12-14 23:50:02 UTC
+Date/Publication: 2023-12-21 16:50:02 UTC

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 0.19.1)
+               r-cran-insight (>= 0.19.7)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bayestestr,
        r-cran-boot,
        r-cran-brms,
        r-cran-curl,
        r-cran-data.table,
        r-cran-dplyr (>= 1.0),
        r-cran-effectsize,
        r-cran-emmeans,
        r-cran-gamm4,
        r-cran-ggplot2,
        r-cran-haven,
        r-cran-htmltools,
        r-cran-httr,
        r-cran-knitr,
        r-cran-lme4,
        r-cran-parameters (>= 0.20.3),
        r-cran-poorman (>= 0.2.6),
        r-cran-psych,
        r-cran-readxl,
        r-cran-readr,
        r-cran-rio,
        r-cran-rmarkdown,
        r-cran-rstanarm,
        r-cran-testthat (>= 3.2.0),
        r-cran-tibble,
        r-cran-tidyr,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-datawizard 0.11.0+dfsg

=== debian/changelog ===
r-cran-datawizard (0.11.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Jun 2024 08:17:59 +0900

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-datawizard
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-datawizard.git
 Homepage: https://cran.r-project.org/package=datawizard
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 0.19.7)
+               r-cran-insight (>= 0.19.11)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bayestestr,
        r-cran-boot,
        r-cran-brms,
        r-cran-curl,
        r-cran-data.table,
        r-cran-dplyr (>= 1.1),
        r-cran-effectsize,
        r-cran-emmeans,
        r-cran-gamm4,
        r-cran-ggplot2 (>= 3.5.0),
        r-cran-haven,
        r-cran-htmltools,
        r-cran-httr,
        r-cran-knitr,
        r-cran-lme4,
        r-cran-parameters (>= 0.21.6),
        r-cran-poorman (>= 0.2.7),
        r-cran-psych,
        r-cran-readxl,
        r-cran-readr,
        r-cran-rio,
        r-cran-rmarkdown,
        r-cran-rstanarm,
        r-cran-testthat (>= 3.2.1),
        r-cran-tibble,
        r-cran-tidyr,
        r-cran-withr
Restrictions: allow-stderr

## r-cran-datawizard 0.12.2+dfsg

=== debian/changelog ===
r-cran-datawizard (0.12.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 08 Aug 2024 09:14:17 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 0.19.11)
+               r-cran-insight (>= 0.20.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

## r-cran-datawizard 0.12.3+dfsg

=== debian/changelog ===
r-cran-datawizard (0.12.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Update debian/copyright for relicensing that took place earlier.

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Sep 2024 11:06:42 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 0.20.1)
+               r-cran-insight (>= 0.20.3)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

## r-cran-datawizard 1.0.0+dfsg

=== debian/changelog ===
r-cran-datawizard (1.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 24 Jan 2025 08:38:22 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 0.20.3)
+               r-cran-insight (>= 1.0.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

## r-cran-datawizard 1.0.1%2Bdfsg

=== debian/tests/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
         r-cran-gamm4,
         r-cran-ggplot2 (>= 3.5.0),
         r-cran-haven,
-        r-cran-htmltools,
         r-cran-httr,
         r-cran-knitr,
         r-cran-lme4,
-        r-cran-parameters (>= 0.21.6),
+        r-cran-parameters (>= 0.21.7),
         r-cran-poorman (>= 0.2.7),
         r-cran-psych,
         r-cran-readxl,

## r-cran-datawizard 1.0.1+dfsg

=== DESCRIPTION ===
Type: Package
Package: datawizard
Title: Easy Data Wrangling and Statistical Transformations
Version: 1.0.1
Authors@R: c(
    person("Indrajeet", "Patil", , "patilindrajeet.science@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-1995-6531")),
    person("Etienne", "Bacher", , "etienne.bacher@protonmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-9271-5075")),
    person("Dominique", "Makowski", , "dom.makowski@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0001-5375-9967")),
    person("Daniel", "Lüdecke", , "d.luedecke@uke.de", role = "aut",
           comment = c(ORCID = "0000-0002-8895-3206")),
    person("Mattan S.", "Ben-Shachar", , "matanshm@post.bgu.ac.il", role = "aut",
           comment = c(ORCID = "0000-0002-4287-4801")),
    person("Brenton M.", "Wiernik", , "brenton@wiernik.org", role = "aut",
           comment = c(ORCID = "0000-0001-9560-6336")),
    person("Rémi", "Thériault", , "remi.theriault@mail.mcgill.ca", role = "ctb",
           comment = c(ORCID = "0000-0003-4315-6788")),
    person("Thomas J.", "Faulkenberry", , "faulkenberry@tarleton.edu", role = "rev"),
    person("Robert", "Garrett", , "rcg4@illinois.edu", role = "rev")
  )
Maintainer: Etienne Bacher <etienne.bacher@protonmail.com>
Description: A lightweight package to assist in key steps involved in any data
    analysis workflow: (1) wrangling the raw data to get it in the needed form,
    (2) applying preprocessing steps and statistical transformations, and
    (3) compute statistical summaries of data properties and distributions.
    It is also the data wrangling backend for packages in 'easystats' ecosystem.
    References: Patil et al. (2022) <doi:10.21105/joss.04684>.
License: MIT + file LICENSE
URL: https://easystats.github.io/datawizard/
BugReports: https://github.com/easystats/datawizard/issues
Depends: R (>= 4.0)
Imports: insight (>= 1.0.2), stats, utils
Suggests: bayestestR, boot, brms, curl, data.table, dplyr (>= 1.1),
        effectsize, emmeans, gamm4, ggplot2 (>= 3.5.0), gt, haven,
        httr, knitr, lme4, mediation, modelbased, parameters (>=
        0.21.7), poorman (>= 0.2.7), psych, readxl, readr, rio,
        rmarkdown, rstanarm, see, testthat (>= 3.2.1), tibble, tidyr,
        withr
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.3.2
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/Needs/website: easystats/easystatstemplate
NeedsCompilation: no
Packaged: 2025-03-07 09:29:38 UTC; etienne
Author: Indrajeet Patil [aut] (<https://orcid.org/0000-0003-1995-6531>),
  Etienne Bacher [aut, cre] (<https://orcid.org/0000-0002-9271-5075>),
  Dominique Makowski [aut] (<https://orcid.org/0000-0001-5375-9967>),
  Daniel Lüdecke [aut] (<https://orcid.org/0000-0002-8895-3206>),
  Mattan S. Ben-Shachar [aut] (<https://orcid.org/0000-0002-4287-4801>),
  Brenton M. Wiernik [aut] (<https://orcid.org/0000-0001-9560-6336>),
  Rémi Thériault [ctb] (<https://orcid.org/0000-0003-4315-6788>),
  Thomas J. Faulkenberry [rev],
  Robert Garrett [rev]
Repository: CRAN
Date/Publication: 2025-03-07 10:10:06 UTC

=== debian/changelog ===
r-cran-datawizard (1.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 12 Mar 2025 16:23:34 +0900

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-datawizard
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-datawizard.git
 Homepage: https://cran.r-project.org/package=datawizard
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-insight (>= 1.0.0)
+               r-cran-insight (>= 1.0.2)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard

## r-cran-datawizard 1.3.0+dfsg

=== debian/changelog ===
r-cran-datawizard (1.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Dec 2025 09:10:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-datawizard
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-insight (>= 1.4.2),
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-datawizard
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-datawizard.git
 Homepage: https://cran.r-project.org/package=datawizard
-Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-insight (>= 1.0.2)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-datawizard
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Depends: @,
          r-cran-bayestestr,
         r-cran-boot,
+        r-cran-bh,
         r-cran-brms,
         r-cran-curl,
         r-cran-data.table,
@@ -15,6 +16,7 @@
         r-cran-knitr,
         r-cran-lme4,
         r-cran-parameters (>= 0.21.7),
+        r-cran-performance (>= 0.14.0),
         r-cran-poorman (>= 0.2.7),
         r-cran-psych,
         r-cran-readxl,
